import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES2015/type";
import { DependencyProperty } from "igniteui-react-core/ES2015/DependencyProperty";
export declare class SlowStochasticOscillatorIndicator extends StrategyBasedIndicator {
    static $t: Type;
    constructor();
    protected get_p3(): IndicatorCalculationStrategy;
    protected readonly p3: IndicatorCalculationStrategy;
    protected get_qg(): Type;
    protected readonly qg: Type;
    qo: number;
    static readonly qp: DependencyProperty;
    protected p9(): number;
    qi(a: number): void;
}
